Friday, December 2, 2016

Bad IL Range Exception after installing SXA in Sitecore 8.2?








Have you ever experienced the same exception after the SXA(sitecore experience accelerator) installation on Sitecore 8.2? What is the main root cause for this exception?

After installing the Sitecore SXA, Content editor showing the below error:


Server Error in '/' Application.
Bad IL format.
Description: An unhandled exception occurred during the execution of the current web request. Please review the stack trace for more information about the error and where it originated in the code. 
Exception Details: System.BadImageFormatException: Bad IL format.

I also faced the same exception after installing the SXA in Sitecore 8.2, I followed the same step as per the sitecore guideline

https://dev.sitecore.net/Downloads/Sitecore_Experience_Accelerator/10/Sitecore_Experience_Accelerator_10_Initial_Release.aspx

Requirements

Before installing SXA, ensure that you have the following:
  • Sitecore Experience Platform 8.2 initial release or Sitecore Experience Platform 8.1 Update-3
  • Sitecore PowerShell extensions 

            Sitecore XP 8.1 – full 4.1 or later 
            Sitecore XP 8.2 – full 4.1 or later 

Installation

To install SXA:

  1. Download the appropriate SXA 1.1 installation package from dev.sitecore.net. 
  2. On the Sitecore Launchpad, click Control Panel. 
  3. In the Control Panel, in the Administration section, click Install a package, to open the Installation Wizard. 
  4. Click Upload package and follow the steps to upload the SXA package to Sitecore. 
  5. Click Next and follow the steps to install the package. 
  6. Before you close the wizard, select Restart the Sitecore Client and Restart the Sitecore Server. 

But still faced the same exception, after researched a bit, I found 2 main root causes for this exception as below:

First, Always do "Merge" option to resolve all item conflicts and during the SXA installation, I have mistakenly checked the override option that causes this exception.




It’s also clearly mentioned in the SXA package as well



And the 2nd point is to install PowerShell Extensions Full 4.1 or later Release for Sitecore 8.2, As SPE 4.0 module is not supported on Sitecore 8.2.

I hope this article will help you.

Happy sitecoring :)